[POST] Send mail restock
You can send mail restock for single or multiple submissions within the same request.
* Authentication
Required Authorization
Limit throttle:30,1
Request
Endpoint POST - /shop-api/back-in-stock/send-notify-restock
Payload body
When allow_resend is true, submissions that have already been emailed for restock in the list ID will be resent.
| Params | Type | Required |
|---|---|---|
| ids | array | yes |
| allow_resend | sometimes|boolean | option |
POST /shop-api/back-in-stock/send-notify-restock HTTP/1.1Host: preorder.globo.ioContent-Type: application/jsonAuthorization: ************Content-Length: 49{ "ids": [1,2,3], "allow_resend": false}const myHeaders = new Headers();myHeaders.append("Content-Type", "application/json");myHeaders.append("Authorization", "************");const raw = JSON.stringify({ "ids": [1,2,3], "allow_resend": false});const requestOptions = { method: "POST", headers: myHeaders, body: raw, redirect: "follow"};fetch("https://preorder.globo.io/shop-api/back-in-stock/send-notify-restock", requestOptions) .then((response) => response.text()) .then((result) => console.log(result)) .catch((error) => console.error(error));$curl = curl_init();curl_setopt_array($curl, array( CURLOPT_URL => 'https://preorder.globo.io/shop-api/back-in-stock/send-notify-restock', CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => '', CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 0, CURLOPT_FOLLOWLOCATION => true, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_POSTFIELDS =>'{ "ids": [1,2,3], "allow_resend": false }', CURLOPT_HTTPHEADER => array( 'Content-Type: application/json', 'Authorization: ************' ),));$response = curl_exec($curl);curl_close($curl);echo $response;Success response 200
{ "success": true, "message": "Restock notification sent successfully", "data": { "sent_count": 2, // total submission sent "sent_ids": [12345, 12346], // IDs submission sent "skipped_ids": [12347], // IDs submission skipped (submission sent + allow_resend=false, unsubscribe, no email, limit...) "allow_resend": false }}Failed
// Not found submission
{ "success": false, "message": "Not found submissions to send", "data": { "sent_count": 0, "skipped_ids": [12345] } }
// reach to limit
{ "success": false, "message": "Daily or monthly email limit reached" }
// id submission required
{ "success": false, "message": "The ids field is required." }
// catch
{ "success": false, "message": "Something went wrong" }
Was this helpful?
Thanks for your feedback! Tell us what was missing
Report an issue